function [x,U]=solveEDP0(f,a,b,ua,ub,N)
  hx=(b-a)/N;
  x=a:hx:b;
  F=f(x)';

  M=Lap1D(N+1);
  sm=-hx*hx*F; % Second Membre

  % Condition de Dirichlet en a
  M(1,1)=1;M(1,2)=0;
  sm(1)=ua;

  % Condition de Dirichlet en b
  M(end,end)=1;M(end,end-1)=0;
  sm(N+1)=ub;

  % Resolution du systeme
  U=M\sm;  % U : Solution Differences Finies
end
